Bug 52865 - Bad include path for toshiba.h in toshiba.c
Bad include path for toshiba.h in toshiba.c
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 01:43 EDT by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 23:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2001-08-30 01:43:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.7 i586; Nav)

Description of problem:
Version 2.0 of the Toshiba Linux Utilities requires a kernel module for
support.  The
module used to be distributed with the utilities but is now in the kernel
source code.
After upgrading my kernel to 2.2.19-6.2.7 I found that the module isn't
built by default
so I did a reconfig, make dep and make modules.  The make aborted while
building
the toshiba module with an error message claiming it couldn't find
toshiba.h.
Examining the source for the module in
/usr/src/linux-2.2.19/drivers/char/toshiba.c
showed that the include file needed to be prepended with linux/.  I
modified the
file and it compiled fine.

This patch shows what is needed:

81c81
< #include"toshiba.h"
---
> #include"linux/toshiba.h"



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.This is very silly for a problem with source code and a provided solution
2.Download src RPM
3.make xconfig; make dep; make modules
	

Additional info:
I haven't checked whether the problem exists in any kernel other than
2.2.19-6.2.7

Note You need to log in before you can comment on or make changes to this bug.